antoinedly/router

v1.0.0 2024-01-27 10:27 UTC

This package is auto-updated.

Last update: 2024-05-27 11:05:11 UTC


README

A simple router

Requirements

  • AntoineDly\Router ^1.0 works with PHP 8.2 or above.

Author

Antoine Delaunay - antoine.delaunay333@gmail.com - Twitter

License

AntoineDly\Router is licensed under the MIT License - see the LICENSE file for details

Acknowledgements

This library is heavily inspired by Guzzle/PSR-7

Contributing

If you want to contribute, make sure to run those 3 steps before submitting a PR :

  • Run static tests :
tools/phpstan/vendor/bin/phpstan analyse src tests --level=9
  • Run fixer :
tools/php-cs-fixer/vendor/bin/php-cs-fixer fix src
  • Run tests :
vendor/bin/phpunit tests